document.addEventListener('DOMContentLoaded', function () {
    const iconContainer = document.querySelector('.icon-container');
    const dropdownMenu = document.querySelector('.dropdown-menu');

    iconContainer.addEventListener('click', function (event) {
        dropdownMenu.style.display = dropdownMenu.style.display === 'block' ? 'none' : 'block';
        event.stopPropagation();
    });

    document.addEventListener('click', function () {
        dropdownMenu.style.display = 'none';
    });

    dropdownMenu.addEventListener('click', function (event) {
        event.stopPropagation();
    });
});