[![](https://artberry.xyz/static/Logo.svg "test")](https://artberry.xyz/static/Logo.svg "test")
### Booru сайт нового поколения

**Открытый репозиторий веб-приложения [Artberry](https://artberry.xyz/ "Artberry")**

------------


### Используемые технологии
#### Backend:
- ##### ЯП: [Python](http://https://www.python.org/ "Python")
- ##### ФРЕЙМВОРК: [Flask](https://https://flask.palletsprojects.com/en/stable/ "Flask")
- ##### ШАБЛОНИЗАЦИЯ: [JINJA](https:/https://jinja.palletsprojects.com/en/stable// "JINJA")

#### Frontend:
- ##### HTML
- ##### CSS | [SASS](https://sass-lang.com/ "SASS")
- ##### JAVASCRIPT

------------


#### ЗАПУСК И ТЕСТИРОВАНИЕ
#### Для удобства и скорости разработки выполните следующие шаги:

#### Создание виртуального окружения:
- `python -m venv venv`

#### Запуск виртуального окружения:
*WINDOWS*:
- **powershell:** ` .\venv\Scripts\Activate`
- **CMD:** `venv\Scripts\activate.bat`

*LINUX* | *MAC*:
- `source venv/bin/activate`

#### Установка зависимостей:
- `pip install -r requirements.txt`

#### Запуск проекта:
- `python app.py` или `flask run`

#### Для отладки в конце файла `app.py` измените:

- `app.run(debug=False)` **на:** `app.run(debug=True)`

------------

#### КОМПИЛЯЦИЯ CSS ИЗ SASS

#### Для компиляции в реальном времени:
- `sass --watch static/css/styles.scss:static/css/styles.css`

*Эта команда будет отслеживать изменения в файле `styles.scss` и автоматически компилировать его в `styles.css`*

#### Для одноразовой компиляции:
- `sass static/css/styles.scss:static/css/styles.css`

*Эта команда выполнит одноразовую компиляцию из файла `styles.scss` в `styles.css`*

------------