window.addEventListener('DOMContentLoaded', function() {
    const listButton = document.querySelector('.list-button');
    const tags = document.querySelectorAll('.tag');

    const buttonRect = listButton.getBoundingClientRect();

    function checkTagVisibility() {
        tags.forEach(tag => {
            const tagRect = tag.getBoundingClientRect();

            if (tagRect.right > buttonRect.left) {
                tag.style.visibility = 'hidden';
            } else {
                tag.style.visibility = 'visible';
            }
        });
    }

    document.querySelector('.tags-container').addEventListener('scroll', checkTagVisibility);

    checkTagVisibility();
});